// To parse this JSON data, do
//
//     final buyLateResponse = buyLateResponseFromJson(jsonString);

import 'dart:convert';

BuyLateResponse buyLateResponseFromJson(String str) => BuyLateResponse.fromJson(json.decode(str));

String buyLateResponseToJson(BuyLateResponse data) => json.encode(data.toJson());

class BuyLateResponse {
  BuyLateResponse({
    this.id,
    this.name,
    this.listBuyLater,
  });

  int? id;
  String? name;
  List<ListBuyLater>? listBuyLater;

  factory BuyLateResponse.fromJson(Map<String, dynamic> json) => BuyLateResponse(
    id: json["id"],
    name: json["name"],
    listBuyLater: List<ListBuyLater>.from(json["listBuyLater"].map((x) => ListBuyLater.fromJson(x))),
  );

  Map<String, dynamic> toJson() => {
    "id": id,
    "name": name,
    "listBuyLater": List<dynamic>.from(listBuyLater!.map((x) => x.toJson())),
  };
}

class ListBuyLater {
  ListBuyLater({
    this.id,
    this.thumb,
    this.title,
    this.manufacturer,
    this.price,
    this.evaluate,
  });

  int? id;
  String? thumb;
  String? title;
  String? manufacturer;
  String? price;
  String? evaluate;

  factory ListBuyLater.fromJson(Map<String, dynamic> json) => ListBuyLater(
    id: json["id"],
    thumb: json["thumb"],
    title: json["title"],
    manufacturer: json["manufacturer"],
    price: json["price"],
    evaluate: json["evaluate"],
  );

  Map<String, dynamic> toJson() => {
    "id": id,
    "thumb": thumb,
    "title": title,
    "manufacturer": manufacturer,
    "price": price,
    "evaluate": evaluate,
  };
}
